Subject: Re: [PATCH 6/9] fetch: Check if all objects exist after fetching

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 18 Mar 2010 12:08:16 -0700

Andreas Gruenbacher <[email-masked]> wrote:
> Check if all objects reachable from the fetched refs exist after
> fetching instead of before: this allows us to distinguish between a
> repository which is not up to date and a corrupted repository, and to
> ensure that the repository is up to date and complete after the fetch.

I'm against this particular change because it looks like it breaks
the idea of "quickfetch", which we introduced to support faster
fetches from the parent repository into a shared clone on the
same disk.
 
-- 
Shawn.